# Testowanie regresji w danych wyjściowych zbioru skryptów

import os
testscripts = [dict(script='test1.py', args=''),       # Zmień (lub użyj glob)
               dict(script='test2.py', args='-opt')]   # Dodaj kodowanie, jeśli to konieczne

for testcase in testscripts:
    commandline = '%(script)s %(args)s' % testcase
    output = os.popen(commandline).read()
    result = testcase['script'] + '.result'
    if not os.path.exists(result):
        open(result, 'w').write(output)
        print('Created:', result)
    else:
        priorresult = open(result).read()
        if output != priorresult:
            print('NIEPOWODZENIE:', testcase['script'])
            print(output)
        else:
            print('Przeszedł:', testcase['script'])

